SoapySDR: Version.h File Reference

| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Loading...
Searching...
No Matches
Macros | Functions
Version.h File Reference
`#include <SoapySDR/Config.h>`

Go to the source code of this file.

## Macros
#define | SOAPY_SDR_API_VERSION 0x00080200
#define | SOAPY_SDR_ABI_VERSION "0.8-3"
#define | SOAPY_SDR_API_HAS_MASKED_GPIO
#define | SOAPY_SDR_API_HAS_CHANNEL_SENSORS
#define | SOAPY_SDR_API_HAS_ERR_TO_STR
#define | SOAPY_SDR_API_HAS_CORRECTIONS_QUERY
#define | SOAPY_SDR_API_HAS_CLOCK_RATES_QUERY
#define | SOAPY_SDR_API_HAS_AGC_MODE_QUERY
#define | SOAPY_SDR_API_HAS_STREAM_ARG_INFO
#define | SOAPY_SDR_API_HAS_SETTING_ARG_INFO
#define | SOAPY_SDR_API_HAS_QUERY_SENSOR_INFO
#define | SOAPY_SDR_API_HAS_QUERY_TUNE_ARG_INFO
#define | SOAPY_SDR_API_HAS_NATIVE_STREAM_FORMAT
#define | SOAPY_SDR_API_HAS_SET_LOG_LEVEL
#define | SOAPY_SDR_API_HAS_FORMAT_DEFINES
#define | SOAPY_SDR_API_HAS_CHANNEL_SETTINGS
#define | SOAPY_SDR_API_HAS_GET_BANDWIDTH_RANGE
#define | SOAPY_SDR_API_HAS_GET_CHANNEL_INFO
#define | SOAPY_SDR_API_HAS_NAMED_REGISTER_API
#define | SOAPY_SDR_API_HAS_NAMED_REGISTERS_API
#define | SOAPY_SDR_API_HAS_RANGE_TYPE_STEP
#define | SOAPY_SDR_API_HAS_GET_SAMPLE_RATE_RANGE
#define | SOAPY_SDR_API_HAS_FREQUENCY_CORRECTION_API
#define | SOAPY_SDR_API_HAS_IQ_BALANCE_MODE
#define | SOAPY_SDR_API_HAS_REF_CLOCK_RATE_API
#define | SOAPY_SDR_API_HAS_UNLOAD_MODULES_API
#define | SOAPY_SDR_API_HAS_PARALLEL_STRING_MAKE
#define | SOAPY_SDR_API_HAS_GET_SPECIFIC_SETTING_INFO
#define | SOAPY_SDR_API_HAS_GET_LOG_LEVEL

## Functions
SOAPY_SDR_API const char * | SoapySDR_getAPIVersion (void)
SOAPY_SDR_API const char * | SoapySDR_getABIVersion (void)
SOAPY_SDR_API const char * | SoapySDR_getLibVersion (void)

## Detailed Description

Utility functions to query version information.

Copyright
  Copyright (c) 2014-2021 Josh Blum Copyright (c) 2016-2016 Bastille Networks 2021-2022 Nicholas Corgan SPDX-License-Identifier: BSL-1.0

## Macro Definition Documentation

## ◆ SOAPY_SDR_ABI_VERSION

#define SOAPY_SDR_ABI_VERSION "0.8-3"

ABI Version Information - incremented when the ABI is changed. The ABI version format is version[-extra]. The version comes from the associated library major.minor version. And extra is empty for releases but set on development branches. The ABI should remain constant across patch releases of the library.

## ◆ SOAPY_SDR_API_HAS_AGC_MODE_QUERY

#define SOAPY_SDR_API_HAS_AGC_MODE_QUERY

Compatibility define for AGC support check

## ◆ SOAPY_SDR_API_HAS_CHANNEL_SENSORS

#define SOAPY_SDR_API_HAS_CHANNEL_SENSORS

Compatibility define for channel sensors access API

## ◆ SOAPY_SDR_API_HAS_CHANNEL_SETTINGS

#define SOAPY_SDR_API_HAS_CHANNEL_SETTINGS

Compatibility define for arbitrary channel settings

## ◆ SOAPY_SDR_API_HAS_CLOCK_RATES_QUERY

#define SOAPY_SDR_API_HAS_CLOCK_RATES_QUERY

Compatibility define for clock rates query API

## ◆ SOAPY_SDR_API_HAS_CORRECTIONS_QUERY

#define SOAPY_SDR_API_HAS_CORRECTIONS_QUERY

Compatibility define for corrections support checks

## ◆ SOAPY_SDR_API_HAS_ERR_TO_STR

#define SOAPY_SDR_API_HAS_ERR_TO_STR

Compatibility define for error to string function

## ◆ SOAPY_SDR_API_HAS_FORMAT_DEFINES

#define SOAPY_SDR_API_HAS_FORMAT_DEFINES

Compatibility define for format header and defines

## ◆ SOAPY_SDR_API_HAS_FREQUENCY_CORRECTION_API

#define SOAPY_SDR_API_HAS_FREQUENCY_CORRECTION_API

Compatibility define for frequency correction API

## ◆ SOAPY_SDR_API_HAS_GET_BANDWIDTH_RANGE

#define SOAPY_SDR_API_HAS_GET_BANDWIDTH_RANGE

Compatibility define for get bandwidth range API

## ◆ SOAPY_SDR_API_HAS_GET_CHANNEL_INFO

#define SOAPY_SDR_API_HAS_GET_CHANNEL_INFO

Compatibility define for get channel info API

## ◆ SOAPY_SDR_API_HAS_GET_LOG_LEVEL

#define SOAPY_SDR_API_HAS_GET_LOG_LEVEL

Compatibility define for getting log level

## ◆ SOAPY_SDR_API_HAS_GET_SAMPLE_RATE_RANGE

#define SOAPY_SDR_API_HAS_GET_SAMPLE_RATE_RANGE

Compatibility define for get sample rate range API

## ◆ SOAPY_SDR_API_HAS_GET_SPECIFIC_SETTING_INFO

#define SOAPY_SDR_API_HAS_GET_SPECIFIC_SETTING_INFO

Compatibility define for querying information for specific settings

## ◆ SOAPY_SDR_API_HAS_IQ_BALANCE_MODE

#define SOAPY_SDR_API_HAS_IQ_BALANCE_MODE

Compatibility define for IQ balance mode API

## ◆ SOAPY_SDR_API_HAS_MASKED_GPIO

#define SOAPY_SDR_API_HAS_MASKED_GPIO

Compatibility define for GPIO access API with masks

## ◆ SOAPY_SDR_API_HAS_NAMED_REGISTER_API

#define SOAPY_SDR_API_HAS_NAMED_REGISTER_API

Compatibility define for named register interface API

## ◆ SOAPY_SDR_API_HAS_NAMED_REGISTERS_API

#define SOAPY_SDR_API_HAS_NAMED_REGISTERS_API

Compatibility define for named memory block interface API

## ◆ SOAPY_SDR_API_HAS_NATIVE_STREAM_FORMAT

#define SOAPY_SDR_API_HAS_NATIVE_STREAM_FORMAT

Compatibility define for querying native stream format

## ◆ SOAPY_SDR_API_HAS_PARALLEL_STRING_MAKE

#define SOAPY_SDR_API_HAS_PARALLEL_STRING_MAKE

Compatibility define for initializing devices in parallel with string arguments

## ◆ SOAPY_SDR_API_HAS_QUERY_SENSOR_INFO

#define SOAPY_SDR_API_HAS_QUERY_SENSOR_INFO

Compatibility define for querying sensor info API

## ◆ SOAPY_SDR_API_HAS_QUERY_TUNE_ARG_INFO

#define SOAPY_SDR_API_HAS_QUERY_TUNE_ARG_INFO

Compatibility define for querying tune args info

## ◆ SOAPY_SDR_API_HAS_RANGE_TYPE_STEP

#define SOAPY_SDR_API_HAS_RANGE_TYPE_STEP

Compatibility define for step field in range type

## ◆ SOAPY_SDR_API_HAS_REF_CLOCK_RATE_API

#define SOAPY_SDR_API_HAS_REF_CLOCK_RATE_API

Compatibility define for ref clock rate API

## ◆ SOAPY_SDR_API_HAS_SET_LOG_LEVEL

#define SOAPY_SDR_API_HAS_SET_LOG_LEVEL

Compatibility define for setting the log level

## ◆ SOAPY_SDR_API_HAS_SETTING_ARG_INFO

#define SOAPY_SDR_API_HAS_SETTING_ARG_INFO

Compatibility define for querying setting argument info

## ◆ SOAPY_SDR_API_HAS_STREAM_ARG_INFO

#define SOAPY_SDR_API_HAS_STREAM_ARG_INFO

Compatibility define for querying stream argument info

## ◆ SOAPY_SDR_API_HAS_UNLOAD_MODULES_API

#define SOAPY_SDR_API_HAS_UNLOAD_MODULES_API

Compatibility define for unloading modules

## ◆ SOAPY_SDR_API_VERSION

#define SOAPY_SDR_API_VERSION 0x00080200

API version number which can be used as a preprocessor check. The format of the version number is encoded as follows: (major << 24) | (minor << 16) | (16 bit increment). Where the increment can be used to indicate implementation changes, fixes, or API additions within a minor release series.

The macro is typically used in an application as follows:

#if defined(SOAPY_SDR_API_VERSION) && (SOAPY_SDR_API_VERSION >= 0x00001234)
// Use a newer feature from the SoapySDR library API
#endif

## Function Documentation

## ◆ SoapySDR_getABIVersion()

SOAPY_SDR_API const char * SoapySDR_getABIVersion | ( | void |  | ) |

Get the ABI version string that the library was built against. A client can compare SOAPY_SDR_ABI_VERSION to getABIVersion() to check for ABI incompatibility before using the library. If the values are not equal then the client code was compiled against a different ABI than the library.

## ◆ SoapySDR_getAPIVersion()

SOAPY_SDR_API const char * SoapySDR_getAPIVersion | ( | void |  | ) |

Get the SoapySDR library API version as a string. The format of the version string is major.minor.increment, where the digits are taken directly from SOAPY_SDR_API_VERSION.

## ◆ SoapySDR_getLibVersion()

SOAPY_SDR_API const char * SoapySDR_getLibVersion | ( | void |  | ) |

Get the library version and build information string. The format of the version string is major.minor.patch-buildInfo. This function is commonly used to identify the software back-end to the user for command-line utilities and graphical applications.